Perl installation error

perl -MLWP -le "print(LWP->VERSION)"

Can't locate Try/Tiny.pm in @INC (@INC contains: /usr/perl5/5.8.4/lib/sun4-solaris-64int /usr/perl5/5.8.4/lib /usr/perl5/site_perl/5.8.4/sun4-solaris-64int /usr/perl5/site_perl/5.8.4 /usr/perl5/site_perl /usr/perl5/vendor_perl/5.8.4/sun4-solaris-64int /usr/perl5/vendor_perl/5.8.4 /usr/perl5/vendor_perl .) at /usr/perl5/5.8.4/lib/sun4-solaris-64int/LWP/Protocol.pm line 11.
BEGIN failed--compilation aborted at /usr/perl5/5.8.4/lib/sun4-solaris-64int/LWP/Protocol.pm line 11.
Compilation failed in require at /usr/perl5/5.8.4/lib/sun4-solaris-64int/LWP/UserAgent.pm line 13.
BEGIN failed--compilation aborted at /usr/perl5/5.8.4/lib/sun4-solaris-64int/LWP/UserAgent.pm line 13.
Compilation failed in require at /usr/perl5/5.8.4/lib/sun4-solaris-64int/LWP.pm line 5.
Compilation failed in require.
BEGIN failed--compilation aborted.

Please reply ASAP.

Build system? On Solaris?

If so, you need to install it on the build machine by however Solaris presently handles "packages". Remember that the build system requires GNU-specific compilers and utilities. I don't think it's "supported" on Solaris.

https://openwrt.org/docs/guide-developer/build-system/install-buildsystem

The build system works on Linux, BSD or MacOSX operating system.

We're trying to install a perl module in SOLARIS 5.10, The same module is working in a different server but not working on only one of the server, although both the servers are of same configurations. Please throw us some light to fix this issue.

You might want to try a Solaris forum, or any of the typical sysadmin forums. This is a forum specific to devices running the OpenWRT/LEDE firmware, typically for router and/or AP use.

Ohhh, Any suggestions of the forum please??

1 Like